# IShadingDomain Struct Reference

Inheritance diagram for IShadingDomain:

List of all members.

## Public Member Functions
virtual void | GetNewShadingIn (ShadingIn &newShadingIn, ShadingIn &shadingIn)=0
virtual boolean | KeepUVSpaceID (const ShadingIn &shadIn) const =0
virtual IDType | GetMappingMode () const =0
virtual boolean | UseMappingTransform () const =0
virtual int16 | FindBoxMappingFace (TVector3 *pt) const =0
virtual void | GetUVSpaceInfo (UVSpaceInfo &uvSpaceInfo) const =0
virtual uint32 | GetUVSpaceId () const =0
virtual void | XYZ2UV (ShadingIn &shadingIn, const ShadingFlags &needs) const =0
virtual int32 | UV2Ray (const TVector2 &uv, int16 uvSpaceID, TVector3 &srcPt, TVector3 &destPt) const =0
virtual MCCOMErr MCCOMAPI | Get2DTransform (TTransform2D &result)=0

## Member Function Documentation

virtual int16 IShadingDomain::FindBoxMappingFace | ( | TVector3 * | pt | ) | const`[pure virtual]`

virtual MCCOMErr MCCOMAPI IShadingDomain::Get2DTransform | ( | TTransform2D & | result | ) | `[pure virtual]`

virtual IDType IShadingDomain::GetMappingMode | ( |  | ) | const`[pure virtual]`

virtual void IShadingDomain::GetNewShadingIn | ( | ShadingIn & | newShadingIn,
|  | ShadingIn & | shadingIn |
| ) |  |  | `[pure virtual]`

virtual uint32 IShadingDomain::GetUVSpaceId | ( |  | ) | const`[pure virtual]`

virtual void IShadingDomain::GetUVSpaceInfo | ( | UVSpaceInfo & | uvSpaceInfo | ) | const`[pure virtual]`

virtual boolean IShadingDomain::KeepUVSpaceID | ( | const ShadingIn & | shadIn | ) | const`[pure virtual]`

virtual boolean IShadingDomain::UseMappingTransform | ( |  | ) | const`[pure virtual]`

virtual int32 IShadingDomain::UV2Ray | ( | const TVector2 & | uv,
|  | int16 | uvSpaceID,
|  | TVector3 & | srcPt,
|  | TVector3 & | destPt |
| ) |  |  | const`[pure virtual]`

virtual void IShadingDomain::XYZ2UV | ( | ShadingIn & | shadingIn,
|  | const ShadingFlags & | needs |
| ) |  |  | const`[pure virtual]`

The documentation for this struct was generated from the following file:

- I3DShShader.h